Time tracking
Update a time category
Updates fields of a time category. Pass archived: true to archive (soft-delete).
PATCH
/
{team_id}
/
time
/
categories
/
{time_category_id}
Update a time category
curl --request PATCH \
--url https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"billable_default": true,
"color": "<string>",
"archived": true
}
'import requests
url = "https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id}"
payload = {
"name": "<string>",
"billable_default": True,
"color": "<string>",
"archived": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', billable_default: true, color: '<string>', archived: true})
};
fetch('https://api.superthread.com/v1/{team_id}/time/categories/{time_category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"time_category": {
"id": "tc_01HQK6Z9YJZ4M9JX8FVB6QXYAB",
"type": "time_category",
"team_id": "tDsu0j19",
"name": "Internal meetings",
"billable_default": false,
"color": "fog",
"archived_at": 1608742037016
}
}{
"error": {
"id": "err5f744ab",
"code": 403,
"sec": "SEC:000-00014",
"message": "You do not have access to this resource",
"date": 1608742037016
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Team ID is an alphanumerical string that identifies a Team. This is externally referred to as a "Workspace".
Time Category ID.
Body
application/json
Response
Updated time category
Show child attributes
Show child attributes
Previous
Archive a time categoryArchives (soft-deletes) a time category. Existing entries referencing it are preserved.
Next
⌘I
Update a time category
